> For the complete documentation index, see [llms.txt](https://docs.enzyme.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enzyme.finance/onyx-user-documentation/enzyme-vault/accounting/nav-automation/setting-up-cre.md).

# Setting-Up CRE

### Setup Steps

1. **Enzyme Team** deploys `LimitedAccessLimitedCallForwarder` for the Shares contract.
2. **Enzyme Team** deploys `CreWorkflowConsumer` for the Shares contract.
3. **Client** sends an on-chain transaction setting the `LimitedAccessLimitedCallForwarder` address as the **Vault Admin**.
   * This can be done via the Enzyme Admin UI.
4. **Client** sends an on-chain transaction to the `LimitedAccessLimitedCallForwarder` contract calling `addUser` with:
   * `user`: `CreWorkflowConsumer` address
   * This should be executed via Etherscan.
5. **Client** sends an on-chain transaction to the `LimitedAccessLimitedCallForwarder` contract calling `addCall` with:
   * `_target`: `ValuationHandler` contract address
   * `_selector`: `0x189ee485` (selector for `updateShareValue`)
   * This should be executed via Etherscan.
6. **Enzyme Team** deploys the automation workflow script to Chainlink and provides the resulting **workflow ID** to the client.
7. **Client** sends an on-chain transaction to the `CreWorkflowConsumer` contract calling `setAllowedWorkflowId` with:
   * `workflowId`: value provided in the previous step.
   * This should be executed via Etherscan.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enzyme.finance/onyx-user-documentation/enzyme-vault/accounting/nav-automation/setting-up-cre.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
